org.springframework.data.relational.core.sql

## Interface SelectBuilder.BuildSelect

All Known Subinterfaces:
  SelectBuilder.SelectAndFrom, SelectBuilder.SelectFrom, SelectBuilder.SelectFromAndJoin, SelectBuilder.SelectFromAndJoinCondition, SelectBuilder.SelectFromAndOrderBy, SelectBuilder.SelectJoin, SelectBuilder.SelectLock, SelectBuilder.SelectOnCondition, SelectBuilder.SelectOrdered, SelectBuilder.SelectWhere, SelectBuilder.SelectWhereAndOr

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.BuildSelect

Interface exposing the `Select` build method.

### Method Summary

All Methods Instance Methods Abstract Methods
`Select` `build()` Build the `Select` statement and verify basic relationship constraints such as all referenced columns have a `FROM` or `JOIN` table import.

### Method Detail

#### build

    Select build()

Build the `Select` statement and verify basic relationship constraints such as all referenced columns have a `FROM` or `JOIN` table import.

Returns:
  the build and immutable `Select` statement.